This API is for merchant/partner to create direct debit/ pre authorization contract for user
authorization.
This API is only available for whitelisted merchants. You may apply for direct debit on the
merchant dashboard under Products >
Debit Management. Alternatively, you may contact us at merchant@binance.com, along with your
Merchant ID, background and use case.
EndPoint
Code
POST /binancepay/openapi/direct-debit/contract
Request Parameters
Attributes
Type
Required
Limitation
Description
subMerchantId
string
N
maximum length 19
The sub merchant account id, issued when sub merchant been created at Binance.
merchantContractCode
string
Y
letter or digit, no other symbol allowed, maximum length 32
The unique ID assigned by the merchant to identify a direct debit contract request.
mandatory if periodic = true. Values: MONTH or DAY
cycleValue
integer
N
-
mandatory if periodic = true. Values: if cycleType=MONTH: 1~24, cycleType=DAY: interval days >7 Combining with another parameter cycleType to determine the deduction period, for example, cycleType is DAY, cycleValue=30, then the deduction period is 30 days; cycleType is MONTH, cycleValue=3, then the deduction period is 3 natural months.
firstDeductTime
long
N
-
mandatory if periodic = true. first deduct time, must be a future time in milli seconds. if cycleType=MONTH, the firstDeductTime is not allowed to pass the date after the 28th UTC (can pass the 28th)
merchantAccountNo
string
N
maximum length 64
the userID/user account in merchant side e.g. xxx@gmail.com
requestExpireTime
long
N
-
If not specified, requestExpireTime will be 1 hour. maximum is 1 hour in milliseconds.
contractEndTime
long
N
-
If not specified, contractEndTime will be the time after 1095 days (about 3 years). maximum is 1095 days in milliseconds.
returnUrl
string
N
maximum length 256
The URL to redirect to when the contract is signed successfully. Only available to whitelisted merchant.
cancelUrl
string
N
maximum length 256
The URL to redirect to when the contract signing fails. Only available to whitelisted merchant. |